Bug 637064 - PolicyKit-KDE crash during shutdown
Summary: PolicyKit-KDE crash during shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: polkit-kde
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F14Blocker-kde
TreeView+ depends on / blocked
 
Reported: 2010-09-24 07:40 UTC by Artem
Modified: 2010-10-18 05:39 UTC (History)
10 users (show)

Fixed In Version: polkit-qt-0.96.1-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-18 05:39:44 UTC


Attachments (Terms of Use)
crash report (2.98 KB, text/plain)
2010-09-24 07:43 UTC, Artem
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 248636 None None None Never

Description Artem 2010-09-24 07:40:03 UTC
Description of problem:
policykit-kde crashes (segfault) during shutdown

Version-Release number of selected component (if applicable):
polkit-kde-0.95.1-6.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1.shutdown system from kde

  
Actual results:
crash report

Expected results:
smooth shutdown

Additional info:
Pretty annoying, as system hangs, unless you report or dismiss reporting

Comment 1 Artem 2010-09-24 07:40:56 UTC
Reported to KDE, see https://bugs.kde.org/show_bug.cgi?id=250792

Comment 2 Artem 2010-09-24 07:43:13 UTC
Created attachment 449357 [details]
crash report

Comment 3 Artem 2010-09-27 08:47:39 UTC
kde bug was duplicate, change to valid one

Comment 4 Jaroslav Reznik 2010-10-07 07:47:00 UTC
Marking as Fedora 14 KDE blocker.

Comment 5 Radek Novacek 2010-10-07 17:13:55 UTC
Can anyone who is seeing this bug try this koji build [1] and test if it fixes the issue?

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=199579

Comment 6 Artem 2010-10-08 08:09:26 UTC
This build fixes the issue, however it is also fixed by new version of PackageKit-0.6.9-4 available in updates-testing repo at the moment

Comment 7 Adam Williamson 2010-10-08 17:15:58 UTC
This was discussed at the 2010-10-08 blocker review meeting and accepted as a blocker. Please push the appropriate fixes ASAP, KDE team, thanks!

Artem, no-one's quite sure how a PackageKit update could fix this, did you mean some other package?

Comment 8 Artem 2010-10-08 18:06:54 UTC
@Adam, no, it's exactly PackageKit
I did following tests (updating and downgrading packages):
1) PackageKit*-0.6.7 and polkit-qt-0.96.1-1 - problem exists
2) PackageKit*-0.6.9 and polkit-qt-0.96.1-1 - problem does not exist
3) PackageKit*-0.6.7 and polkit-qt-0.96.1-2 - problem does not exist
4) PackageKit*-0.6.9 and polkit-qt-0.96.1-2 - problem does not exist

People on KDE bug are also wondering how this could help, however for me it works.
If some more info is necessary - inform me and I will try to provide it

Comment 9 Fedora Update System 2010-10-09 16:47:39 UTC
polkit-qt-0.96.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/polkit-qt-0.96.1-2.fc14

Comment 10 Fedora Update System 2010-10-10 02:04:31 UTC
polkit-qt-0.96.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update polkit-qt'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/polkit-qt-0.96.1-2.fc14

Comment 11 Fedora Update System 2010-10-12 03:10:56 UTC
polkit-qt-0.96.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Rex Dieter 2010-10-15 12:56:45 UTC
With 
https://admin.fedoraproject.org/updates/polkit-qt-0.96.1-3.fc14
which essentially reverts the fix here (to avoid bigger problems/regressions), in my quick-n-dirty testing, saw polkit-kde crash on logout in 2 out of 3 tries.

Comment 13 Rex Dieter 2010-10-15 12:57:33 UTC
See also bug #643108 (which was the bigger problem mentioned in comment #12)

Comment 14 Adam Williamson 2010-10-15 16:33:51 UTC
Discussed at the 2010-10-15 blocker review meeting. This was 'fixed' but the fix turned out to be wrong and cause bigger issues (643108). KDE team are working on finding a correct fix, and are aware of the RC timeframe.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Radek Novacek 2010-10-15 21:44:22 UTC
I made some progress with this bug and built new version of polkit-qt. I hope this will fix both issues but I want someone to test it before creating an update (I don't want to screw it up again :) ). 

So please test this builds and write your results here:
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2537428
f14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2537448

Comment 16 Sven Lankes 2010-10-16 20:46:45 UTC
> So please test this builds and write your results here:
> f14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2537448

I tried it on F14. Installing apps in kpackagekit works and no crashes 
after three logouts.

Comment 17 Fedora Update System 2010-10-16 20:55:12 UTC
polkit-qt-0.96.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/polkit-qt-0.96.1-4.fc14

Comment 18 Radek Novacek 2010-10-16 20:58:01 UTC
Thanks Sven. I've created an update [1], please test and add (positive or negative) karma. Thanks.

[1] https://admin.fedoraproject.org/updates/polkit-qt-0.96.1-4.fc14

Comment 19 Fedora Update System 2010-10-18 05:39:33 UTC
polkit-qt-0.96.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.